curl --request POST \
--url https://api.agentwallex.com/api/v1/x402/sessions \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"agent_id": "agent_abc123",
"budget_limit": "100.00",
"chain": "eip155:84532",
"ttl_seconds": 3600,
"allowed_urls": [
"https://paid-api.example.com/v1/data"
]
}
'import requests
url = "https://api.agentwallex.com/api/v1/x402/sessions"
payload = {
"agent_id": "agent_abc123",
"budget_limit": "100.00",
"chain": "eip155:84532",
"ttl_seconds": 3600,
"allowed_urls": ["https://paid-api.example.com/v1/data"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: 'agent_abc123',
budget_limit: '100.00',
chain: 'eip155:84532',
ttl_seconds: 3600,
allowed_urls: ['https://paid-api.example.com/v1/data']
})
};
fetch('https://api.agentwallex.com/api/v1/x402/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "sess_xyz789",
"agent_id": "agent_abc123",
"budget_limit": "100.00",
"budget_spent": "0.00",
"budget_remaining": "100.00",
"chain": "eip155:84532",
"status": "active",
"expires_at": "2025-06-15T15:30:00Z",
"created_at": "2025-06-15T14:30:00Z"
}{
"code": "invalid_request",
"type": "invalid_request_error",
"message": "The request body is missing required fields."
}{
"code": "authentication_failed",
"type": "authentication_error",
"message": "The provided API key is invalid or expired."
}{
"code": "insufficient_permissions",
"type": "authorization_error",
"message": "You do not have permission to perform this action."
}{
"code": "rate_limit_exceeded",
"type": "rate_limit_error",
"message": "Too many requests. Please retry after a short delay."
}{
"code": "server_error",
"type": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}x402 세션 생성
지출 예산이 포함된 새 x402 결제 세션을 생성합니다.
요청 본문
"100.00").eip155:84532).예시
curl -X POST https://api.agentwallex.com/api/v1/x402/sessions \
-H "X-API-Key: awx_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "agent_abc123",
"budget_limit": "100.00",
"chain": "eip155:84532",
"ttl_seconds": 3600,
"allowed_urls": ["https://paid-api.example.com/v1/data"]
}'
const session = await aw.x402.createSession({
agentId: "agent_abc123",
budgetLimit: "100.00",
chain: "eip155:84532",
ttlSeconds: 3600,
allowedUrls: ["https://paid-api.example.com/v1/data"],
});
session = await aw.x402.create_session(
agent_id="agent_abc123",
budget_limit="100.00",
chain="eip155:84532",
ttl_seconds=3600,
allowed_urls=["https://paid-api.example.com/v1/data"],
)
{
"id": "sess_xyz789",
"agent_id": "agent_abc123",
"budget_limit": "100.00",
"budget_spent": "0.00",
"budget_remaining": "100.00",
"chain": "eip155:84532",
"status": "active",
"expires_at": "2025-06-15T15:30:00Z",
"created_at": "2025-06-15T14:30:00Z"
}
인증
API key authentication. Keys are prefixed with awx_.
본문
The agent whose wallet funds the session.
Maximum total amount the session can spend (e.g., "100.00").
CAIP-2 chain identifier for settlement (e.g., eip155:84532).
Session time-to-live in seconds. The session expires after this duration.
Optional list of URLs this session is authorized to pay. If omitted, all x402-enabled URLs are allowed.
응답
Session created successfully.
An x402 payment session with a pre-authorized spending budget.
Unique session identifier (e.g., sess_xyz789).
Agent whose wallet funds the session.
Maximum total amount the session can spend.
Total amount spent so far.
Remaining budget available.
CAIP-2 chain identifier for settlement.
Session status.
active, expired, deleted URLs this session is authorized to pay.
ISO 8601 expiration timestamp.
ISO 8601 creation timestamp.